/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.benutzerverwaltung.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.NachrichtConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(NachrichtMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class NachrichtMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nachrichtMeta";

  @Inject
  private transient Messages messages;

  public NachrichtMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getEmpfaengerGruppeArtEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_EMPFAENGER_GRUPPE_ART_EINZAHL;
  }

  public String getEmpfaengerGruppeArtMehrzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_EMPFAENGER_GRUPPE_ART_MEHRZAHL;
  }


  public String getEmpfaengerGruppeArtEinzahlMessage(){
    return getMessage(getEmpfaengerGruppeArtEinzahlMessageKey());
  }

  public String getEmpfaengerGruppeArtMehrzahlMessage(){
    return getMessage(getEmpfaengerGruppeArtMehrzahlMessageKey());
  }



  public boolean isEmpfaengerGruppeArtRequired() {
    return !NachrichtConstants.EMPFAENGER_GRUPPE_ART_NULLABLE;
  }

  public de.ivu.elect.business.benutzerverwaltung.entity.NachrichtEmpfaengerGruppeArt getEmpfaengerGruppeArtDefaultValue() {
    return NachrichtConstants.EMPFAENGER_GRUPPE_ART_DEFAULT_VALUE;
  }


  public String getSenderkennungEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_SENDER_BENUTZERKENNUNG_EINZAHL;
  }

  public String getSenderkennungMehrzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_SENDER_BENUTZERKENNUNG_MEHRZAHL;
  }


  public String getSenderkennungEinzahlMessage(){
    return getMessage(getSenderkennungEinzahlMessageKey());
  }

  public String getSenderkennungMehrzahlMessage(){
    return getMessage(getSenderkennungMehrzahlMessageKey());
  }



  public boolean isSenderkennungRequired() {
    return !NachrichtConstants.SENDER_BENUTZERKENNUNG_NULLABLE;
  }

  public java.lang.String getSenderkennungDefaultValue() {
    return NachrichtConstants.SENDER_BENUTZERKENNUNG_DEFAULT_VALUE;
  }

  public int getSenderkennungMaxLength() {
    return NachrichtConstants.SENDER_BENUTZERKENNUNG_MAX_LENGTH;
  }

  public String getTextEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_TEXT_EINZAHL;
  }

  public String getTextMehrzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_TEXT_MEHRZAHL;
  }


  public String getTextEinzahlMessage(){
    return getMessage(getTextEinzahlMessageKey());
  }

  public String getTextMehrzahlMessage(){
    return getMessage(getTextMehrzahlMessageKey());
  }



  public boolean isTextRequired() {
    return !NachrichtConstants.TEXT_NULLABLE;
  }

  public java.lang.String getTextDefaultValue() {
    return NachrichtConstants.TEXT_DEFAULT_VALUE;
  }

  public int getTextMaxLength() {
    return NachrichtConstants.TEXT_MAX_LENGTH;
  }

  public String getZeitpunktEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_ZEITPUNKT_EINZAHL;
  }

  public String getZeitpunktMehrzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_ZEITPUNKT_MEHRZAHL;
  }


  public String getZeitpunktEinzahlMessage(){
    return getMessage(getZeitpunktEinzahlMessageKey());
  }

  public String getZeitpunktMehrzahlMessage(){
    return getMessage(getZeitpunktMehrzahlMessageKey());
  }



  public boolean isZeitpunktRequired() {
    return !NachrichtConstants.ZEITPUNKT_NULLABLE;
  }

  public java.util.Date getZeitpunktDefaultValue() {
    return NachrichtConstants.ZEITPUNKT_DEFAULT_VALUE;
  }



  public String getMandantEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !NachrichtConstants.MANDANT_ID_NULLABLE;
  }


  public String getUrspruenglicheNachrichtEinzahlMessageKey(){
    return NachrichtConstants.MESSAGE_KEY_URSPRUENGLICHE_NACHRICHT_ID_EINZAHL;
  }

  public String getUrspruenglicheNachrichtEinzahlMessage(){
    return getMessage(getUrspruenglicheNachrichtEinzahlMessageKey());
  }

  public boolean isUrspruenglicheNachrichtRequired() {
    return !NachrichtConstants.URSPRUENGLICHE_NACHRICHT_ID_NULLABLE;
  }

}